package cn.tsy.idsse.dsds.helper;

import cn.hme.data.mapper.frame.optr.FrameOptrMapper;
import cn.hme.data.model.frame.optr.FrameOptr;
import cn.hme.framework.constant.FrameStatus;
import cn.hme.framework.helper.spring.SpringHelper;
import cn.hme.framework.web.exception.LoginTimeoutException;
import cn.hme.framework.web.helper.FrameParamHelper;
import cn.hme.framework.web.helper.WebHelper;

public class DSDSWebHelper {
	/*******************
	 * 获取系统操作员，并根据参数选择是否进行判断
	 */
	public static  FrameOptr getFrameOptr(boolean check) {
		FrameOptr optr = null;
		try {
			optr = (FrameOptr) WebHelper.getSession().getAttribute(FrameParamHelper.SessionName_FrameOptr);
		} catch (Exception e) {
		}
		if (check && optr == null) {
			if (FrameStatus.Active.toString().equals(FrameParamHelper.AllowNologin)) {
				optr = SpringHelper.getBean(FrameOptrMapper.class).find(1);
				WebHelper.getSession().setAttribute(FrameParamHelper.SessionName_FrameOptr, optr);
			}
			else
				throw new LoginTimeoutException();
		}
		return optr;
	}
}
